Subject: Re: bug#27033: package mode plural handling

From: Jean-Christophe Helary <[email-masked]>
Date: Wed, 27 Jun 2018 13:20:01 +0900

This bug should be closed with Noam's pushing [1: 61f73703c7]: 2018-06-25 19:18:55 -0400

Jean-Christophe 

> On Jun 17, 2018, at 23:09, Jean-Christophe Helary <[email-masked]> wrote:
> 
> I've just resent a patch to devel and the patch adresses more than plural handling in the strings but straightens (most of) the strings for future l10n. I've written a log message that reflects that but with no specific reference to this bug.
> 
>> On Sep 2, 2017, at 22:58, Jean-Christophe Helary <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
>>> On May 23, 2017, at 8:03, Jean-Christophe Helary <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> When single packages are handled, sometimes the messages keep the plural form.
>>> 
>>> For ex:
>>> 
>>> Package menu: Operation finished.  1 packages are no longer needed, type ‘M-x package-autoremove’ to remove them
>>> 
>>> The issue comes from the hardcoded message in line 3276 of package.el. I'll see if I can do something about that later this week.
>> 
>> I've sent a patch in the "package.el strings" thread on emacs-devel but it doesn't seem to have been applied yet. Is there anything wrong with it?
>> 
>>> Jean-Christophe